/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@400;600&display=swap');

/* Core CSS required for Ionic components to work properly */

@import "@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */

@import "@ionic/angular/css/normalize.css";
@import "@ionic/angular/css/structure.css";
@import "@ionic/angular/css/typography.css";
@import '@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */

@import "@ionic/angular/css/padding.css";
@import "@ionic/angular/css/float-elements.css";
@import "@ionic/angular/css/text-alignment.css";
@import "@ionic/angular/css/text-transformation.css";
@import "@ionic/angular/css/flex-utils.css";
$radius: 6px;
$green: #65b265;
$yellow: #ffc735;
$grey: #333;
$red: #e74142;
$primary: #22518A;
$tertiary: #EBF1F7;
$secondary: #499BFC;
$white: #ffffff;
body {
    font-family: 'Outfit', sans-serif;
}

h1,
h2,
h3 {
    margin: 0px;
    padding: 0px;
}

h5 {
    &.section-title {
        font-size: 1rem;
        color: $primary;
        font-weight: 600;
    }
}

#background-content {
    background-color: #22518A;
}

ion-menu-button {
    height: 54px;
    padding: 0px;
}

ion-toolbar {
    --background: var(--ion-color-primary);
    height: 60px;
    border: 0px !important;
    box-shadow: none !important;
    ion-button {
        margin-top: 10px !important;
        margin-left: 10px !important;
        color: #FFF;
        i {
            color: #FFF !important;
        }
    }
}

.header-ios ion-toolbar:last-of-type {
    --border-width: 0px;
}

.toolbar-container {
    border: 0px !important;
    box-shadow: none !important;
}

ion-grid {
    padding: 0;
}

ion-row {
    padding: 0;
    margin: 0 -0.5rem;
}

ion-col {
    padding: 0 0.5rem;
}

ion-title {
    text-align: center;
    color: #fff;
    --background: var(--ion-color-primary);
    height: 60px;
    font-size: 15px;
    font-family: 'Outfit', sans-serif;
}

ion-footer {
    ion-toolbar {
        background-color: #fff;
        --background: var(--ion-color-light);
        border: 0 !important;
        --border-width: 0px !important;
    }
}

ion-list {
    width: calc(100% - 20px);
}

ion-content {
    --background: var(--ion-background-color, #fff);
    font-family: 'Outfit', sans-serif;
    .ion-padding {
        padding: 15px;
    }
}

.tabs-segment {
    ion-segment-button {
        min-width: unset !important;
        max-width: auto;
        height: 40px !important;
        box-shadow: none !important;
        color: $white;
    }
    padding: 0px 10px 0px 10px;
}

ion-tab-bar {
    background: $white !important;
    border-radius: 20px 20px 0px 0px;
    padding-bottom: var(--ion-safe-area-bottom) !important;
    padding-top: 3px;
    border: 0px;
    height: 60px;
    box-shadow: 0 2px 10px 2px rgb(0, 0, 0, 20%);
    ion-tab-button {
        background: $white !important;
        i {
            color: $primary;
            margin-bottom: 7px;
        }
        &.active {
            color: $red;
            i {
                color: $red;
            }
        }
        ion-icon {
            font-size: 1.3rem;
        }
    }
    h4 {
        font-size: 10px;
        margin: 0px;
        padding: 0px;
    }
    .icon {
        line-height: 24px !important;
    }
}

.p-card {
    box-shadow: none;
    text-align: center;
    border: 1px solid darken($tertiary, 20%);
    background-color: $white;
    border-radius: $radius;
    margin-bottom: 1rem;
    -webkit-transition: color 300ms, background-color 300ms;
    -moz-transition: color 300ms, background-color 300ms;
    -o-transition: color 300ms, background-color 300ms;
    transition: color 300ms, background-color 300ms;
    .p-card-content {
        padding: 10px 0px;
        h3 {
            margin: 0px;
            font-weight: 400;
            font-family: 'Outfit', sans-serif;
            color: $secondary;
            font-size: 1rem;
            span {
                font-weight: 600;
                color: $primary;
            }
        }
    }
}

.giro {
    .p-card {
        box-shadow: none;
        text-align: left;
        border: 0px solid $grey;
        background-color: $tertiary;
        border-radius: $radius;
        margin-bottom: 1rem;
        -webkit-transition: color 300ms, background-color 300ms;
        -moz-transition: color 300ms, background-color 300ms;
        -o-transition: color 300ms, background-color 300ms;
        transition: color 300ms, background-color 300ms;
        .user-icon {
            background-color: $secondary;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .p-card-content {
            padding: 0px 0px;
            h3 {
                margin: 0px;
                font-weight: 400;
                font-family: 'Outfit', sans-serif;
                color: $primary;
                padding: 12px 0px;
                font-size: 1rem;
                span {
                    font-weight: 600;
                    color: $primary;
                }
            }
        }
        &:hover {}
    }
}

.lista {
    .p-card {
        box-shadow: none;
        text-align: left;
        border: 1px solid darken($tertiary, 20%);
        background-color: $white;
        border-radius: $radius;
        margin-bottom: 10px;
        -webkit-transition: color 300ms, background-color 300ms;
        -moz-transition: color 300ms, background-color 300ms;
        -o-transition: color 300ms, background-color 300ms;
        transition: color 300ms, background-color 300ms;
        .p-card-body {
            padding: 12px;
        }
        .user-icon {
            background-color: $secondary;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .p-card-content {
            padding: 0px 0px;
            .info-card {
                background-color: $tertiary;
                color: $primary;
                padding: 2px 10px;
                font-size: 0.65rem;
                width: 100%;
                line-height: 22px;
                font-weight: 600;
                border-radius: $radius;
                float: left;
                .label {
                    float: left;
                    display: block;
                }
                .value {
                    color: $secondary;
                    font-size: 0.8rem;
                    float: right;
                }
            }
            h3 {
                margin: 0px;
                font-weight: 600;
                font-family: 'Outfit', sans-serif;
                color: $primary;
                padding: 8px 0px;
                padding-top: 0px;
                font-size: 1rem;
                span {
                    font-weight: 600;
                    color: $primary;
                }
            }
            p {
                margin: 0px;
                padding: 0px;
                font-size: 1rem;
            }
        }
        &:hover {
            background-color: $tertiary;
            .info-card {
                background-color: $white;
            }
        }
    }
}

.lista-checkbox {
    .p-card {
        box-shadow: none;
        text-align: left;
        border: 1px solid darken($tertiary, 20%);
        background-color: $white;
        border-radius: $radius;
        margin-bottom: 10px;
        -webkit-transition: color 300ms, background-color 300ms;
        -moz-transition: color 300ms, background-color 300ms;
        -o-transition: color 300ms, background-color 300ms;
        transition: color 300ms, background-color 300ms;
        .p-card-body {
            padding: 12px;
        }
        .user-icon {
            background-color: $secondary;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .p-card-content {
            padding: 0px 0px;
            .info-card {
                background-color: $tertiary;
                color: $primary;
                padding: 2px 10px;
                font-size: 0.65rem;
                width: 100%;
                line-height: 30px;
                font-weight: 600;
                border-radius: $radius;
                float: left;
                .label {
                    float: left;
                    display: block;
                }
                .value {
                    color: $secondary;
                    font-size: 1rem;
                    float: right;
                }
            }
            h3 {
                margin: 0px;
                font-weight: 600;
                font-family: 'Outfit', sans-serif;
                color: $primary;
                padding: 12px 0px;
                padding-top: 0px;
                padding-bottom: 0px;
                font-size: 0.9rem;
                span {
                    font-weight: 600;
                    color: $primary;
                }
            }
            p {
                margin: 0px;
                padding: 0px;
                font-size: 0.8rem;
            }
        }
        &:hover {
            background-color: $tertiary;
            .info-card {
                background-color: $white;
            }
        }
    }
}

.lista-clienti {
    ion-item {
        margin: 0px;
    }
    ion-accordion {
        font-size: 0.8rem;
        .accordion-content {
            padding: 10px 15px;
            font-size: 0.8rem;
        }
    }
    .p-card {
        box-shadow: none;
        text-align: left;
        border: 1px solid darken($tertiary, 20%);
        background-color: $white;
        border-radius: $radius;
        margin-bottom: 10px;
        -webkit-transition: color 300ms, background-color 300ms;
        -moz-transition: color 300ms, background-color 300ms;
        -o-transition: color 300ms, background-color 300ms;
        transition: color 300ms, background-color 300ms;
        .p-card-body {
            padding: 12px;
        }
        .user-icon {
            background-color: $secondary;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .download-icon {
            background-color: $white;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $secondary;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .p-card-content {
            padding: 0px 0px;
            .info-card {
                background-color: $tertiary;
                color: $primary;
                padding: 2px 10px;
                font-size: 0.65rem;
                width: 100%;
                line-height: 30px;
                font-weight: 600;
                border-radius: $radius;
                float: left;
                .label {
                    float: left;
                    display: block;
                }
                .value {
                    color: $secondary;
                    font-size: 1rem;
                    float: right;
                }
            }
            h3 {
                margin: 0px;
                font-weight: 600;
                font-family: 'Outfit', sans-serif;
                color: $primary;
                padding: 0px 0px;
                padding-top: 0px;
                padding-bottom: 5px;
                font-size: 1.1rem;
                span {
                    font-weight: 600;
                    color: $primary;
                }
            }
            p {
                margin: 0px;
                padding: 0px;
                font-size: 0.9rem;
            }
        }
        &:hover {
            background-color: $white;
            .info-card {
                background-color: $white;
            }
        }
    }
}

.lista-documenti {
    ion-item {
        margin: 0px;
    }
    ion-accordion {
        font-size: 0.8rem;
        .accordion-content {
            padding: 10px 15px;
            font-size: 0.8rem;
        }
    }
    .p-card {
        box-shadow: none;
        text-align: left;
        border: 1px solid darken($tertiary, 20%);
        background-color: $white;
        border-radius: $radius;
        margin-bottom: 10px;
        -webkit-transition: color 300ms, background-color 300ms;
        -moz-transition: color 300ms, background-color 300ms;
        -o-transition: color 300ms, background-color 300ms;
        transition: color 300ms, background-color 300ms;
        .p-card-body {
            padding: 12px;
        }
        .user-icon {
            background-color: $secondary;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .download-icon {
            background-color: $white;
            width: 44px;
            height: 44px;
            border-radius: $radius;
            display: flex;
            text-align: center;
            line-height: 44px;
            align-items: center;
            float: left;
            justify-content: center;
            margin-right: 10px;
            i {
                color: $secondary;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
        .p-card-content {
            padding: 0px 0px;
            .info-card {
                background-color: $tertiary;
                color: $primary;
                padding: 2px 10px;
                font-size: 0.65rem;
                width: 100%;
                line-height: 30px;
                font-weight: 600;
                border-radius: $radius;
                float: left;
                .label {
                    float: left;
                    display: block;
                }
                .value {
                    color: $secondary;
                    font-size: 1rem;
                    float: right;
                }
            }
            h3 {
                margin: 0px;
                font-weight: 600;
                font-family: 'Outfit', sans-serif;
                color: $primary;
                padding: 0px 0px;
                padding-top: 0px;
                padding-bottom: 5px;
                font-size: 1.1rem;
                span {
                    font-weight: 600;
                    color: $primary;
                }
            }
            p {
                margin: 0px;
                padding: 0px;
                font-size: 0.9rem;
            }
        }
        &:hover {
            background-color: $white;
            .info-card {
                background-color: $white;
            }
        }
    }
}

.p-inputtext {
    width: 100%;
}

.pull-right {
    float: right;
}

.p-tag {
    border-radius: 26px;
    padding: 5px 20px;
}

.small .p-tag {
    border-radius: 26px;
    padding: 4px 14px !important;
    font-size: 0.6rem !important;
    background-color: $tertiary;
    color: $primary;
    margin-right: 10px;
}

button.item-native {
    border: 0px !important;
    border-width: 0px !important;
    border-color: transparent !important;
}

ion-item {
    --border-width: 0;
    --inner-border-width: 0;
}

ion-accordion {
    --background: var(--ion-color-white);
    ion-item {
        --background: var(--ion-color-secondary);
        margin-bottom: 10px;
        border-radius: $radius;
        color: $white;
        border: 1px solid darken($tertiary, 10%);
        font-size: 0.9rem;
        font-weight: 600;
        button {
            border: 0px !important;
        }
        .item-inner {
            border: 0px !important;
        }
    }
    .accordion-content {
        padding: 10px 15px;
        font-size: 0.9rem;
    }
    &.accordion-collapsed {
        ion-item {
            --background: var(--ion-color-white);
            color: $primary;
        }
    }
}

.tab-wrapper {
    background-color: $primary;
    padding: 12px 15px;
    ion-segment-button {
        min-width: unset !important;
        max-width: auto;
        height: 32px !important;
        box-shadow: none !important;
        color: $white;
        ion-label {
            color: $white;
        }
        &.segment-button-checked {
            ion-label {
                color: $primary;
            }
        }
    }
}

ion-segment {
    --background: var(--ion-color-primary);
}

.user-item-wrapper {
    background-color: $primary;
    padding: 0px 15px;
    position: relative;
    height: 80px;
    top: 0px;
    margin-bottom: 20px;
    .overlay-info {
        position: absolute;
        z-index: 100;
        width: calc(100% - 30px);
        border-radius: $radius;
        padding: 20px;
        bottom: -20px;
        background-color: $tertiary;
        h3 {
            color: $secondary;
            font-size: 1rem;
        }
        h2 {
            color: $primary;
            font-weight: 600;
            font-size: 1.3rem;
        }
        .user-icon {
            background-color: $secondary;
            width: 50px;
            height: 50px;
            float: right;
            border-radius: $radius;
            text-align: center;
            line-height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
    }
}

.user-detail-item-wrapper {
    background-color: $primary;
    padding: 0px 15px;
    position: relative;
    height: 160px;
    top: 0px;
    margin-bottom: 30px;
    .overlay-info {
        position: absolute;
        z-index: 100;
        width: calc(100% - 30px);
        border-radius: $radius;
        padding: 20px;
        bottom: -20px;
        background-color: $tertiary;
        h3 {
            color: $secondary;
            font-size: 1rem;
        }
        h2 {
            color: $primary;
            font-weight: 600;
            font-size: 1.3rem;
        }
        .user-icon {
            background-color: $secondary;
            width: 50px;
            height: 50px;
            border-radius: $radius;
            text-align: center;
            line-height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: 10px;
            i {
                color: $white;
                font-size: 1.4rem;
                width: 100%;
                line-height: 100%;
                text-align: center;
            }
        }
    }
}

.p-card:hover {
    border: 1px solid $secondary;
    background-color: $secondary;
    h3 {
        color: $white;
        span {
            color: $white;
        }
    }
}

ion-menu {
    ion-label {
        color: $primary !important;
        font-weight: 600;
    }
    ion-icon {
        background-color: $tertiary;
        color: $primary !important;
        padding: 8px;
        font-weight: 600;
        border-radius: $radius;
        font-size: 18px;
    }
    ion-content {
        ion-list {
            padding: 40px 20px;
            &.list-ios {}
        }
        ion-menu-toggle {}
    }
}

.item-native {
    margin: 0px !important;
    padding: 0px !important;
}

.item-inner {
    margin: 0px !important;
    padding: 0px !important;
}

.mt-2 {
    margin-top: 5px;
}

.header-md::after {
    bottom: -5px;
    background-position: left 0 top -2px;
    position: absolute;
    width: 100%;
    height: 5px;
    background-image: none !important;
    background-repeat: repeat-x;
    content: "";
}

.btn-block {
    width: 100%;
    margin-bottom: 10px;
}

.p-button {
    padding: 15px 20px;
    font-family: 'Outfit', sans-serif;
    border-radius: $radius;
}

.p-button-primary {
    background-color: #499BFC !important;
}

.p-button-secondary {
    background-color: #22518a !important;
}